Package: ucf
Version: 3.0038+nmu1
Severity: normal
Tags: patch

For an example of the failure, see
<https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=969705>.

How to reproduce:
1. Include 'set -o pipefail' in root's .bashrc.
2. Include 'BASH_ENV="$HOME/.bashrc"' in root's environment.
3. apt-get install a ucf-using package, e.g. sysstat, postgresql-common.

How to work round:
# alias apt-get='env --unset=BASH_ENV apt-get'

Patch for ucf:
#+BEGIN_QUOTE
--- /usr/bin/ucf.bak    2018-12-14 08:51:14.000000000 +0000
+++ /usr/bin/ucf        2020-09-08 12:58:12.199669849 +0100
@@ -566,7 +566,7 @@
        egrep "[[:space:]]${safe_dest_file}$" "$statedir/hashfile" >&2 || true
     fi
     lastsum=$(egrep "[[:space:]]${safe_dest_file}$" "$statedir/hashfile" | \
-                   awk '{print $1;}' )
+                   awk '{print $1;}' ) || true
 fi

 if [ ! "x${new_file}" = "x" ]; then
#+END_QUOTE

I suspect it's been fixed anyway by #952448.

-- System Information:
Debian Release: 10.5
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.19.0-10-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages ucf depends on:
ii  coreutils       8.30-3
ii  debconf         1.5.71
ii  sensible-utils  0.0.12

ucf recommends no packages.

ucf suggests no packages.

-- debconf information:
  ucf/changeprompt_threeway: keep_current
  ucf/title:
  ucf/show_diff:
  ucf/changeprompt: keep_current
  ucf/conflicts_found:

Reply via email to